CP(1)

NAVN
cp - copy files and directories

OVERSIKT
cp [VALG]... [-T] KILDE MÅL
cp [VALG]... KILDE... MAPPE
cp [VALG]... -t MAPPE KILDE...

BESKRIVELSE

Kopier KILDE til MÅL, eller flere KILDE(r) til ønsket MAPPE.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --archive
    Tilsvarer -dR --preserve=all.

--attributes-only
    Ikke kopier fildataene, bare attributtene.

--backup[=CONTROL]
    Lag en sikkerhetskopi av hver målfil.

-b  Likner --backup, men kan ikke brukes med argumenter.

--copy-contents
    Kopier innholdet i spesialfiler når operasjonen kjører rekursivt.

-d  Tilsvarer --no-dereference --preserve=links.

--debug
    explain how a file is copied. Implies -v

-f, --force
    Fjern eksisterende målfil hvis den ikke kan åpnes, og prøv på nytt (dette valget ignoreres hvis valget -n brukes i tillegg).

-i, --interactive
    Spør om bekreftelse før fil(er) overskrives (overstyrer evt. bruk av valget -n).

-H  Følg kommandolinje-symbolske lenker lenker i KILDEn.

-L, --dereference
    Følg alltid symbolske lenker i KILDEn.

-P, --no-dereference
    Følg aldri symbolske lenker i KILDEn.

--keep-directory-symlink
    follow existing symlinks to directories

-l, --link
    Lag harde lenker i stedet for å kopiere.

-n, --no-clobber
    (deprecated) silently skip existing files. See also --update

-p  Tilsvarer --preserve=mode,ownership,timestamps

--preserve[=ATTRLISTE]
    preserve the specified attributes

--no-preserve=ATTRLISTE
    Ikke bevar valgte attributter.

--parents
    Bruk fullstendig kildefilnavn under MAPPE.

-R, -r, --recursive
    Kopier (under-)mapper rekursivt.

--reflink[=NÅR]
    Kontroller klone-/CoW-kopier. Se nedenfor.

--remove-destination
    Fjern alle filer som finnes allerede før de blir forsøkt åpnet (i motsetning til --force).

--sparse=NÅR
    Kontroller oppretting av ikke-sammenhengende filer. Se nedenfor.

--strip-trailing-slashes
    Fjern evt. avsluttende skråstreker fra hvert KILDE-argument.

-s, --symbolic-link
    Lag symbolske lenker i stedet for å kopiere.

-S, --suffix=ETTERN
    Overstyr standard filetternavn på sikkerhetskopier.

-t, --target-directory=MAPPE
    Kopier alle KILDEargumenter til MAPPE.

-T, --no-target-directory
    Behandle MÅL som en normal fil.

--update[=UPDATE]
    control which existing files are updated; UPDATE={all,none,none-fail,older(default)}

-u  equivalent to --update[=older]. See below

-v, --verbose
    Forklar hva som blir gjort.

-x, --one-file-system
    Forbli på dette filsystemet.

-Z  Bruk standard type SELinux-sikkerhetskontekst på målfil.

--context[=KON]
    Tilsvarer -Z, (eller, hvis CTX er valgt, bruk KON som SELinux- eller SMACK-sikkerhetskontekst).

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

ATTR_LIST is a comma-separated list of attributes. Attributes are 'mode' for permissions (including any ACL and xattr permissions), 'ownership' for user and group, 'timestamps' for file timestamps, 'links' for hard links, 'context' for security context, 'xattr' for extended attributes, and 'all' for all attributes.

Ikke-sammenhengende KILDEfiler oppdages som standard av en enkel heuristisk metode, og MÅLfilene blir - hvis aktuelt - også ikke-sammenhengende. Denne oppførselen velges av --sparse=auto. Velg --sparse=always for å lage en ikke-sammenhengende MÅLfil når KILDEfila inneholder en viss sekvens av tomme byte. Bruk --sparse=never for å slå av oppretting av slike filer.

UPDATE controls which existing files in the destination are replaced. 'all' is the default operation when an --update option is not specified, and results in all existing files in the destination being replaced. 'none' is like the --no-clobber option, in that no files in the destination are replaced, and skipped files do not induce a failure. 'none-fail' also ensures no files are replaced in the destination, but any skipped files are diagnosed and induce a failure. 'older' is the default operation when --update is specified, and results in files being replaced if they're older than the corresponding source file.

By default or with --reflink=auto, cp will try a lightweight copy, where the data blocks are copied only when modified, falling back to a standard copy if this is not possible. With --reflink[=always] cp will fail if CoW is not supported, while --reflink=never ensures a standard copy is performed.

Suffikset for sikkerhetskopierte filer er «~», med mindre du velger noe annet med --suffix eller SIMPLE_BACKUP_SUFFIX. Metoden for versjonskontroll kan velges med --backup eller via miljøvariabelen VERSION_CONTROL. Følgende verdier er gyldige:

none, off
    ikke lag sikkerhetskopier (ikke engang med --backup)

numbered, t
    lag nummererte sikkerhetskopier

existing, nil
    nummererte sikkerhetskopier hvis det allerede finnes, enkle (simple) ellers

simple, never
    alltid lag enkle sikkerhetskopier

Som et spesialtilfelle vil cp lage sikkerhetskopi av KILDE hvis både --force og --backup er valgt, og både KILDE og MÅL er det samme navnet på en vanlig fil.

FORFATTER
Skrevet av Torbjorn Granlund, David MacKenzie og Jim Meyering.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
install(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/cp>
eller lokalt: info '(coreutils) cp invocation'

Pakket av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.